/*##############################################################################
 Author:
 * Mirko Prosseda (06-2013)
 * email: mirko.prosseda@gmail.com
 
 Description:
 * 3-axis Â±1.5g / Â±6g Accelerometer with Voltage Regulator test sketch v1.0
 * Read analog value from the sensor and print them on Serial Monitor
 
 Connections:
 * BOARD -> ARDUINO
 * VIN   -> 5V
 * GND   -> GND
 * SLP   -> PIN 2
 * X     -> PIN A0
 * Y     -> PIN A1
 * Z     -> PIN A2
 * 3V3   -> AREF
##############################################################################*/

#include <Servo.h> 
Servo myservo; 
const int analogInY = A1;  
const int sleep = 2;       
float valueY = 0;         
void setup() 
{
  myservo.attach(10);
  Serial.begin(9600);        
  pinMode(sleep, OUTPUT);    
  digitalWrite(sleep, HIGH); 
  analogReference(EXTERNAL);
}

void loop() {
  valueY = (analogRead(analogInY) * (3.3 / 1023.0));  
  valueY=valueY*10;
  Serial.print("Y = ");                       
  Serial.println(valueY);
  delay(15);                

if (valueY<15.8){
   myservo.write(30);
}
if ((valueY>15.6)&(valueY<18.6)){
   myservo.write(60);
}
if ((valueY>18.7)){
   myservo.write(100);
}
}


